﻿using System;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

using System.Data;
using System.Configuration;
using System.Web.Security;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using Telerik.Web.UI;
using System.Collections.Generic;

public partial class Default : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
    }

    protected void RadSearchBox2_Search(object sender, SearchBoxEventArgs e)
    {
        RadSearchBox searchBox = (RadSearchBox)sender;

        string supplierID = string.Empty;
        string likeCondition;

        if (e.DataItem != null)
        {
            supplierID = ((Dictionary<string, object>)e.DataItem)["SupplierID"].ToString();
            if (!string.IsNullOrEmpty(supplierID))
            {
                likeCondition = string.Format("'{0}{1}%'", searchBox.Filter == SearchBoxFilter.Contains ? "%" : "", ((Dictionary<string, object>)e.DataItem)["SupplierID"].ToString());
                gridDataSource.SelectCommand = "SELECT TOP 10 [ProductID], [ProductName], [QuantityPerUnit], [UnitPrice]" + "FROM[Products] WHERE [" + searchBox.DataValueField + "] LIKE " + likeCondition;
                RadGrid1.DataBind();

                Label1.CssClass = "gridLabel";
                Label1.Text = "See below a list of products for the selected supplier:";
            }

        }
    }
}
